You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flex.apache.org by ah...@apache.org on 2014/03/16 08:17:15 UTC

[1/3] git commit: [flex-sdk] [refs/heads/develop] - Script to copy RC into release area

Repository: flex-sdk
Updated Branches:
  refs/heads/develop 8138af12b -> f2de68eb4


Script to copy RC into release area


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/65294c80
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/65294c80
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/65294c80

Branch: refs/heads/develop
Commit: 65294c80272a1dab99610e260abe05452390abd9
Parents: cad53c1
Author: Justin Mclean <jm...@apache.org>
Authored: Fri Mar 7 11:47:17 2014 +1100
Committer: Justin Mclean <jm...@apache.org>
Committed: Fri Mar 7 11:47:17 2014 +1100

----------------------------------------------------------------------
 build/deploy_release.sh | 83 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 83 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/65294c80/build/deploy_release.sh
----------------------------------------------------------------------
diff --git a/build/deploy_release.sh b/build/deploy_release.sh
new file mode 100755
index 0000000..ac311c5
--- /dev/null
+++ b/build/deploy_release.sh
@@ -0,0 +1,83 @@
+#!/bin/sh -e
+
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+
+if [ $# -ne 2 ]
+then
+    echo "Usage: deploy_candidate flex_version ([0-99].[0-99].[0-999]) release_candidate ([0-100])"
+fi
+
+FLEX_VERSION="$1"
+CHECK=`echo "$FLEX_VERSION" | grep -q -E '[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}$'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex version needs to be in the form [0-99].[0-99].[0-999]"
+	exit 1;
+fi
+
+RELEASE_CANDIDATE="$2"
+CHECK=`echo "$RELEASE_CANDIDATE" | grep -q -E '[0-9]{1,2}'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex release candidate to be in the range 1-99"
+	exit 1;
+fi
+
+# Assumes FLEX_DEV_AREA has been set up and point to SVN dev area
+# Assumes FLEX_REL_AREA has been set up and point to SVN release area
+
+RC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}"
+RC_BIN_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/binaries"
+RC_DOC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/docs"
+
+REL_VERSION_DIR="${FLEX_REL_AREA}/${FLEX_VERSION}"
+REL_DIR="${FLEX_REL_AREA}/${FLEX_VERSION}"
+REL_BIN_DIR="${FLEX_REL_AREA}/${FLEX_VERSION}/binaries"
+REL_DOC_DIR="${FLEX_REL_AREA}/${FLEX_VERSION}/docs"
+
+echo "RC directory is ${RC_DIR}"
+echo "Release directory is ${REL_DIR}"
+
+if [ ! -d "${REL_VERSION_DIR}" ]
+then
+	mkdir "${REL_VERSION_DIR}"
+fi
+
+if [ ! -d "${REL_BIN_DIR}" ]
+then
+	mkdir "${REL_BIN_DIR}"
+fi
+
+if [ ! -d "${REL_DOC_DIR}" ]
+then
+	mkdir "${REL_DOC_DIR}"
+fi
+
+cp "${RC_DIR}"/README "${REL_DIR}"
+cp "${RC_DIR}"/RELEASE_NOTES "${REL_DIR}"
+cp "${RC_DIR}"/*-src.* "${REL_DIR}"
+cp "${RC_BIN_DIR}"/*-bin.* "${REL_BIN_DIR}"
+cp "${RC_BIN_DIR}"/*-config.xml "${REL_BIN_DIR}"
+cp "${RC_DOC_DIR}"/*-asdocs.* "${REL_DOC_DIR}"
+
+
+


[3/3] git commit: [flex-sdk] [refs/heads/develop] - Merge branch 'release4.12.0' into develop

Posted by ah...@apache.org.
Merge branch 'release4.12.0' into develop


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/f2de68eb
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/f2de68eb
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/f2de68eb

Branch: refs/heads/develop
Commit: f2de68eb47ec3ffeb4caf5518489110b89c2aba4
Parents: 8138af1 54d0aea
Author: Alex Harui <ah...@apache.org>
Authored: Sun Mar 16 00:11:11 2014 -0700
Committer: Alex Harui <ah...@apache.org>
Committed: Sun Mar 16 00:11:11 2014 -0700

----------------------------------------------------------------------
 build/deploy_release.sh | 83 ++++++++++++++++++++++++++++++++++++++++++++
 installer.xml           | 32 ++---------------
 2 files changed, 85 insertions(+), 30 deletions(-)
----------------------------------------------------------------------



[2/3] git commit: [flex-sdk] [refs/heads/develop] - don't touch locale in -config.xml and flex-description

Posted by ah...@apache.org.
don't touch locale in -config.xml and flex-description


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/54d0aea1
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/54d0aea1
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/54d0aea1

Branch: refs/heads/develop
Commit: 54d0aea1e7e10581e1f683db2831df09bc689ac9
Parents: 65294c8
Author: Alex Harui <ah...@apache.org>
Authored: Sun Mar 16 00:09:26 2014 -0700
Committer: Alex Harui <ah...@apache.org>
Committed: Sun Mar 16 00:09:26 2014 -0700

----------------------------------------------------------------------
 installer.xml | 32 ++------------------------------
 1 file changed, 2 insertions(+), 30 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/54d0aea1/installer.xml
----------------------------------------------------------------------
diff --git a/installer.xml b/installer.xml
index 67935b5..118643c 100644
--- a/installer.xml
+++ b/installer.xml
@@ -101,11 +101,6 @@
             <equals arg1="${air.version}" arg2="${air.sdk.version}" />
         </not>
     </condition>
-    <condition property="locale.changed" value="true">
-        <not>
-            <equals arg1="${locale}" arg2="${bundle}" />
-        </not>
-    </condition>
     
     <condition property="java.home" value="${env.JAVA_HOME}" >
         <and>
@@ -593,11 +588,10 @@
     </target>
 
 
-    <target name="fixup-config-files" depends="flex-sdk-description-flash,flex-sdk-description-air,flex-sdk-description-locale">
+    <target name="fixup-config-files" depends="flex-sdk-description-flash,flex-sdk-description-air">
         <echo>${INFO_INSTALLING_CONFIG_FILES}</echo>
         <antcall target="fixup-config-files-version" />
         <antcall target="fixup-config-files-swfversion" />
-        <antcall target="fixup-config-files-locale" />
         <replace file="${FLEX_HOME}/frameworks/flex-config.xml">
             <replacefilter token="{playerglobalHome}"
                 value="libs/player"/>
@@ -642,21 +636,6 @@
         </replace>
     </target>
     
-    <target name="fixup-config-files-locale" if="locale.changed">
-        <replace file="${FLEX_HOME}/frameworks/flex-config.xml">
-            <replacefilter token="&lt;locale-element&gt;${locale}&lt;/locale-element&gt;"
-                            value="&lt;locale-element&gt;${bundle}&lt;/locale-element&gt;"/>
-        </replace>
-        <replace file="${FLEX_HOME}/frameworks/air-config.xml">
-            <replacefilter token="&lt;locale-element&gt;${locale}&lt;/locale-element&gt;"
-            value="&lt;locale-element&gt;${bundle}&lt;/locale-element&gt;"/>
-        </replace>
-        <replace file="${FLEX_HOME}/frameworks/airmobile-config.xml">
-            <replacefilter token="&lt;locale-element&gt;${locale}&lt;/locale-element&gt;"
-            value="&lt;locale-element&gt;${bundle}&lt;/locale-element&gt;"/>
-        </replace>
-    </target>
-
     <target name="flex-sdk-description-flash" if="flash.version.changed">
         <replace file="${FLEX_HOME}/flex-sdk-description.xml">
             <replacefilter token="FP${playerglobal.version}"
@@ -669,12 +648,5 @@
                 value="AIR${air.sdk.version}"/>
         </replace>
     </target>
-    
-    <target name="flex-sdk-description-locale" if="locale.changed">
-        <replace file="${FLEX_HOME}/flex-sdk-description.xml">
-            <replacefilter token="${locale}"
-                value="${bundle}"/>
-        </replace>
-    </target>
-    
+        
 </project>